canvas
Create View
Create a new saved canvas view.
Captures the current search query, filters, and pinned nodes so the user can restore this view later.
Returns: Updated list of all saved canvas views.
POST
/
canvas
/
views
Create View
curl --request POST \
--url https://api.example.com/canvas/views \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"search_query": "",
"filters": [
{
"type": "<string>",
"value": "<string>"
}
],
"pinned_node_ids": [
"<string>"
]
}
'import requests
url = "https://api.example.com/canvas/views"
payload = {
"name": "<string>",
"search_query": "",
"filters": [
{
"type": "<string>",
"value": "<string>"
}
],
"pinned_node_ids": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
search_query: '',
filters: [{type: '<string>', value: '<string>'}],
pinned_node_ids: ['<string>']
})
};
fetch('https://api.example.com/canvas/views', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"views": [
{
"name": "<string>",
"id": "",
"search_query": "",
"filters": [
{
"type": "<string>",
"value": "<string>"
}
],
"pinned_node_ids": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Body
application/json
Request body for creating a saved canvas view.
Attributes: name: User-assigned name for this view. search_query: Text search query to persist. filters: Filter criteria to persist. pinned_node_ids: Resource IDs to pin when restoring.
Response
Successful Response
Response body for listing saved canvas views.
Attributes: views: List of saved canvas views.
Show child attributes
Show child attributes
Previous
Update ViewUpdate an existing saved canvas view.
Returns:
Updated list of all saved canvas views.
Next
⌘I
Create View
